/**
* Enumeration contains a set of constants used in setting the combination of access rights to information and
* functional capabilities requested from the RFID-chip (or delegated by it)
*/
export declare enum eRfidTerminalAuthorizationRequirement {
    IS_E_PASSPORT_DG3 = 1,
    IS_E_PASSPORT_DG4 = 2,
    IS_E_PASSPORT_ALL_DG = 3,
    AT_EID_READ_DG1 = 1,
    AT_EID_READ_DG2 = 2,
    AT_EID_READ_DG3 = 4,
    AT_EID_READ_DG4 = 8,
    AT_EID_READ_DG5 = 16,
    AT_EID_READ_DG6 = 32,
    AT_EID_READ_DG7 = 64,
    AT_EID_READ_DG8 = 128,
    AT_EID_READ_DG9 = 256,
    AT_EID_READ_DG10 = 512,
    AT_EID_READ_DG11 = 1024,
    AT_EID_READ_DG12 = 2048,
    AT_EID_READ_DG13 = 4096,
    AT_EID_READ_DG14 = 8192,
    AT_EID_READ_DG15 = 16384,
    AT_EID_READ_DG16 = 32768,
    AT_EID_READ_DG17 = 65536,
    AT_EID_READ_DG18 = 131072,
    AT_EID_READ_DG19 = 262144,
    AT_EID_READ_DG20 = 524288,
    AT_EID_READ_DG21 = 1048576,
    AT_EID_READ_ALL_DG = 2097151,
    AT_EID_WRITE_DG17 = 2097152,
    AT_EID_WRITE_DG18 = 4194304,
    AT_EID_WRITE_DG19 = 8388608,
    AT_EID_WRITE_DG20 = 16777216,
    AT_EID_WRITE_DG21 = 33554432,
    AT_EID_WRITE_ALL_DG = 65011712,
    AT_FUNC_INSTALL_Q_CERT = 1,
    AT_FUNC_INSTALL_CERT = 2,
    AT_FUNC_PIN_MANAGEMENT = 4,
    AT_FUNC_CAN_ALLOWED = 8,
    AT_FUNC_PRIVILEGED_TERMINAL = 16,
    AT_FUNC_RESTRICTED_IDENT = 32,
    AT_FUNC_VERIFY_COMMUNITY_ID = 64,
    AT_FUNC_VERIFY_AGE = 128,
    AT_FUNC_FULL = 255,
    ST_GEN_QUALIFIED_SIGNATURE = 1,
    ST_GEN_SIGNATURE = 2,
    ST_GEN_FULL = 3
}
