/**
* Enumeration contains a set of constants specifying the type of
* logically parsed fields of document filling
* @enum {number}
*/
export declare enum eRfidVisualFieldType {
    /**
    * SBH security options
    */
    SBH_SECURITY_OPTIONS = 300,
    /**
    * SBH integrity options
    */
    SBH_INTEGRITY_OPTIONS = 301,
    /**
    * Date of creation
    */
    DATE_OF_CREATION = 302,
    /**
    * Validity period
    */
    VALIDITY_PERIOD = 303,
    /**
    * Patron header version
    */
    PATRON_HEADER_VERSION = 304,
    /**
    * BDB type
    */
    BDB_TYPE = 305,
    /**
    * Biometric type
    */
    BIOMETRIC_TYPE = 306,
    /**
    * Biometric subtype
    */
    BIOMETRIC_SUBTYPE = 307,
    /**
    * Biometric product ID
    */
    BIOMETRIC_PRODUCT_ID = 308,
    /**
    * Biometric format owner
    */
    BIOMETRIC_FORMAT_OWNER = 309,
    /**
    * Biometric format type
    */
    BIOMETRIC_FORMAT_TYPE = 310,
    /**
    * Phone
    */
    PHONE = 311,
    /**
    * Profession
    */
    PROFESSION = 312,
    /**
    * Position
    */
    TITLE = 313,
    /**
    * Personal data summary
    */
    PERSONAL_SUMMARY = 314,
    /**
    * Other valid ID
    */
    OTHER_VALID_ID = 315,
    /**
    * Custody info
    */
    CUSTODY_INFO = 316,
    /**
    * Other name
    */
    OTHER_NAME = 317,
    /**
    * Observations
    */
    OBSERVATIONS = 318,
    /**
    * Tax
    */
    TAX = 319,
    /**
    * Personalization date
    */
    DATE_OF_PERSONALIZATION = 320,
    /**
    * Personalization SN
    */
    PERSONALIZATION_SN = 321,
    /**
    * Other person name
    */
    OTHER_PERSON_NAME = 322,
    /**
    * Notify person: date of record
    */
    PERSON_TO_NOTIFY_DATE_OF_RECORD = 323,
    /**
    * Notify person: name
    */
    PERSON_TO_NOTIFY_NAME = 324,
    /**
    * Notify person: phone
    */
    PERSON_TO_NOTIFY_PHONE = 325,
    /**
    * Notify person: address
    */
    PERSON_TO_NOTIFY_ADDRESS = 326,
    /**
    * DS certificate issuer
    */
    DS_CERTIFICATE_ISSUER = 327,
    /**
    * DS certificate subject
    */
    DS_CERTIFICATE_SUBJECT = 328,
    /**
    * DS certificate valid from
    */
    DS_CERTIFICATE_VALID_FROM = 329,
    /**
    * DS certificate valid to
    */
    DS_CERTIFICATE_VALID_TO = 330,
    /**
    * Vehicle data from the DG1 data group
    */
    VRC_DATA_OBJECT_ENTRY = 331,
    /**
    * Type of approval number
    */
    TYPE_APPROVAL_NUMBER = 332,
    /**
    * Administrative number
    */
    ADMINISTRATIVE_NUMBER = 333,
    /**
    * Document discriminator
    */
    DOCUMENT_DISCRIMINATOR = 334,
    /**
    * Data discriminator
    */
    DATA_DISCRIMINATOR = 335,
    /**
    * ID number of ISO issuer
    */
    ISO_ISSUER_ID_NUMBER = 336
}
